Subject: Re: Setting Reply-To on list evil

From: "Neil Hauser" <[email-masked]>
Date: Mon, 26 Oct 1998 18:21:57 -0700

?  What is the big deal?  I thought you people, you guys were software engineers or developers.
I used my mouse to click reply so I could copy the text below.  I just changed the to address because the information documents say post to list and instruct to serv.  I thought it was an exception to carbon copy an email.  Can you email someone?
I do not want anyone to leave the list because of this!  Mr. Adam I agreed with everything  you wrote.  I thought you were a real expert in computer language.  But that one sentence I expect you to....
I mean does it matter? How can anyone cheat a computer?  

Oh yeah I got another problem.  The advert.  The instructions say when instructing listproc print END before the free advert.  But this email program site, mailcity, has Carnegie Mellon written all over it.  I feel bad enough myself but I do not want to worry someone else about it.  The Pine program is on a UNIX platform.  It is a different version.  I did not download the program.  It is part of the school course.
I just need the course credit.  End of Message.

On Mon, 26 Oct 1998 11:14:48   Adam H. Kerman wrote:
>What part of "Do no Cc the author of a message if you reply to a mailing list
>or on News" is unclear?
>
>>From: Michael Talbot-Wilson <[email-masked]>
>>Date: Mon, 26 Oct 1998 20:24:06 +1030 (CST)
>
>>On Sun, 25 Oct 1998, Adam H. Kerman wrote:
>
>>>Reply-To is a header designed to be used by the composer of a message. Only
>>>later was its use taken over by a few list owners who fail to acknowledge its
>>>original utility.
>
>>Where is your proof that it was designed for the exclusive use of
>>the author of the original message?
>
>     RFC #  822
>
>                        STANDARD FOR THE FORMAT OF
>
>                        ARPA INTERNET TEXT MESSAGES
>
>                              August 13, 1982
>
>     4.4.  ORIGINATOR FIELDS
>
>          The standard allows only a subset of the combinations possi-
>     ble  with the From, Sender, Reply-To, Resent-From, Resent-Sender,
>     and Resent-Reply-To fields.  The limitation is intentional.
>
>     4.4.3.  REPLY-TO / RESENT-REPLY-TO
>
>        This field provides a general  mechanism  for  indicating  any
>        mailbox(es)  to which responses are to be sent.  Three typical
>        uses for this feature can  be  distinguished.   In  the  first
>        case,  the  author(s) may not have regular machine-based mail-
>        boxes and therefore wish(es) to indicate an alternate  machine
>        address.   In  the  second case, an author may wish additional
>        persons to be made aware of, or responsible for,  replies.   A
>        somewhat  different  use  may be of some help to "text message
>        teleconferencing" groups equipped with automatic  distribution
>        services:   include the address of that service in the "Reply-
>        To" field of all messages  submitted  to  the  teleconference;
>        then  participants  can  "reply"  to conference submissions to
>        guarantee the correct distribution of any submission of  their
>        own.
>
>     4.4.4.  AUTOMATIC USE OF FROM / SENDER / REPLY-TO
>
>        For systems which automatically  generate  address  lists  for
>        replies to messages, the following recommendations are made:
>
>            o   If the "Reply-To" field exists, then the reply  should
>                go to the addresses indicated in that field and not to
>                the address(es) indicated in the "From" field.
>
>That's been an absolutely clear recommendation since 1982.
>
>>> Let's say, for my convenience, I have multiple mailboxes. Suppose I subscribe
>>> to a mailing list and must post to the list using a specific From. I
>>> participate on a thread that pertains to a subject I have a regular interest
>>> in. It could be business or a hobby. Normally, I correspond with people using a
>>> different From.
>>> 
>>> So, I participate on the thread and set Reply-To to the mailbox to which I want
>>> personal replies directed to.
>>> 
>>> I'd say that I have a legitimate use for setting Reply-To myself.
>
>>Yes, you have a legitimate use.  That is a reasonable thing to want to do.
>
>>It is also reasonable for a list owner to want to do something that
>>conflicts with what you want.
>
>And according to the recommendation in the RFC I just posted, the author's
>wishes should be honored.
>
>>>If you were the list owner, you have decided that I may NOT set Reply-To. You
>>>instead substitute your own judgment and have the server munge it to the list
>>>posting address.
>
>>This is where you get paranoid.  There is a very good reason for list servers
>>to set the Reply-To to point to the list.  It is very annoying when replies go
>>to originators with cc: to the list.
>
>YOU are the one who did that. Just because pine behaves in a certain way when
>Reply-To is not present, just because many of us disagree with pine's behavior,
>we accept that as a limitation of pine and work around it.
>
>It is outrageous to blame YOUR personal bad behavior on either the mail client
>or the mailing list owner.
>
>You find it too inconvenient to send the keystrokes necessary to avoid sending
>duplicate messages? Change mail clients. You cannot demand that the rest of the
>world change reasonable behavior to accomodate your unreasonable attitude.
>
>>Every response is duplicated, if people do just the natural thing in replying.
>
>The natural thing is to fart in public, eat with our hands, pick our noses, and
>altogether violate standards of civilization. Observance of etiquette keeps us
>from killing each other, also natural behavior.
>
>The Internet is a shared resource which you don't pay for. It has its own
>standards of conduct. No one wants to talk to you if you do "just the natural
>thing". While it is unnatural to demonstrate common courtesy, do it anyway.
>
>>Mail reflected from a mailing list must have a 'From:' identifying
>>the author, but for the mailing list to work, your MUA must be
>>instructed ignore it, to not reply to the 'From:' address but to
>>Reply To another one.  That is what 'Reply-To:' is for, get it?
>
>That's been my point for several messages on this thread. It's tool for the
>author's use.
>
>>> You, the list owner, are doing something harmful.
>
>>It's really not a moral question, you know.  The mailing list
>>software came along and set the Reply-To, as always.  You had
>>already set a Reply-to and it was obliterated by the new setting. 
>>That is all.
>
>It's a violation of a 16-year-old recommendation. Many of us think it was well-
>intended then and should continue to guide us today.
>
>>Your remaining claims are silly enough not to need any response. 
>>Accept the policy of the list owner, or unsubscribe.
>
>Explain why that doesn't apply to you. The policy of the owner of pine-info is
>that Reply-To is not set. Numerous people, including me, have asked that
>duplicates of replies to the list not be sent to us.
>
>The list owner's policy, then, is that YOU should cut the line containing the
>author's address from your reply if you compose in pine. Through your actions,
>you have made it clear that you don't like that policy and flaunt it.
>
>I expect you to immediately unsubscribe from this mailing list.
>
>

Get your FREE E-mail at http://mailcity.lycos.com
Get your PERSONALIZED START PAGE at http://personal.lycos.com